=== debian/changelog ===
dragonbox (1.1.0-2) unstable; urgency=medium

  * add Vcs-Browser/Git:
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Apr 2022 19:27:22 +0200

dragonbox (1.1.0-1) experimental; urgency=medium

  * Initial release

 -- Rene Engelhard <rene@debian.org>  Sun, 20 Feb 2022 10:02:48 +0000
