=== debian/changelog ===
dragonbox (1.1.3-2) unstable; urgency=medium

  * fix copyright (closes: #1101506) 

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Mar 2025 18:21:53 +0100

dragonbox (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3

  * run tests

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Nov 2022 21:22:20 +0100
