=== debian/control ===
Source: dragonbox
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/jk-jeon/dragonbox
Vcs-Browser: https://salsa.debian.org/debian/dragonbox
Vcs-Git: https://salsa.debian.org/debian/dragonbox.git
Rules-Requires-Root: no

Package: libdragonbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: float-to-string conversion algorithm library
 Dragonbox is a float-to-string conversion algorithm based on the Schubfach
 algorithm.
